Page MenuHomePhabricator

Prepare and check storage layer for pmswikisource
Closed, ResolvedPublic

Description

This is going to be a public wiki.

Event Timeline

Urbanecm created this task.May 18 2018, 7:55 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMay 18 2018, 7:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm updated the task description. (Show Details)May 18 2018, 7:55 PM
Urbanecm moved this task from Backlog to Created on the User-Urbanecm board.May 18 2018, 7:59 PM
Urbanecm removed Urbanecm as the assignee of this task.May 18 2018, 8:13 PM

I'm not supposed to do this...

Marostegui triaged this task as Normal priority.May 21 2018, 5:42 AM
Marostegui moved this task from Triage to Blocked external/Not db team on the DBA board.
Marostegui added a subscriber: Marostegui.

Let us know when this is created so we can redact it before handling it over to cloud-services-team for the views creation.

Mentioned in SAL (#wikimedia-operations) [2018-06-07T15:08:29Z] <marostegui> Sanitize wikis on db1124 (current sanitarium for s3) - T196362 T196358 T196359 T195008 T193187

Marostegui added subscribers: Bstorm, bd808.

This wiki has been sanitized. Ready for the views creation cc @bd808 @Bstorm. We have to double check the script for the views works correctly before going for it as a default after changing how the grants are deployed.

Bstorm claimed this task.Jun 7 2018, 3:55 PM

@Bstorm in order not to block this on the issues we are having with the grant, I have manually run the database and grant creation on all the hosts.
Please feel free to proceed with the views creation

Urbanecm closed this task as Resolved.Jun 12 2018, 3:01 PM

It is working, thank you.

urbanecm@tools-bastion-02 ~ 
$ sql --cluster=analytics pmswikisource
Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 7746252
Server version: 10.1.33-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [pmswikisource_p]> Bye
urbanecm@tools-bastion-02 ~ 
$ sql --cluster=web pmswikisource
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 13225715
Server version: 10.1.33-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [pmswikisource_p]> Bye
urbanecm@tools-bastion-02 ~ 
$
Bstorm reopened this task as Open.Jun 12 2018, 3:02 PM

Not quite done with this one. A couple more steps.

Bstorm closed this task as Resolved.Jun 12 2018, 3:03 PM

Ok, now this one is done. There were still a couple scripts I hadn't finished on all servers for this, and I didn't want to forget any!

@Bstorm Is there a way how to access wiki replicas without having all the steps completed?

Yup! The steps must be completed on all three replica servers, indexes must be created, which doesn't affect access, and analytics vs. web access depend on which server is done.

There are some metadata things that can also be left out without it being noticed on access. It would be noticed in other places in time (all of these would be).

Vvjjkkii renamed this task from Prepare and check storage layer for pmswikisource to fqcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Bstorm as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Vachovec1 renamed this task from fqcaaaaaaa to Prepare and check storage layer for pmswikisource.Jul 1 2018, 4:02 PM
Vachovec1 closed this task as Resolved.
Vachovec1 assigned this task to Bstorm.
Vachovec1 lowered the priority of this task from High to Normal.
Vachovec1 updated the task description. (Show Details)
Vachovec1 added a project: Cloud-Services.
Vachovec1 added subscribers: Cloud-Services, Aklapper.
Vachovec1 removed a subscriber: Cloud-Services.